using Exferia_Aplicacion.General;
using Exferia_Informes.Informes.Mandatos;
using Microsoft.Reporting.WinForms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Exferia_Informes._3_Vistas
{
    public partial class PI_Pruebas : Form
    {
        public PI_Pruebas()
        {
            InitializeComponent();
        }

        private void PI_Pruebas_Load(object sender, EventArgs e)
        {

            Imprimir_Informe();
        }

        private void Imprimir_Informe()
        {
            try
            {
                reportViewer1.LocalReport.ReportEmbeddedResource = "Exferia_Informes.Informes.PorClientes.EuroPillow.inf_EuroPillow_Albaran.rdlc";
                Rellenar_DataSet_EuroPillow.Rellenar_Albaran(reportViewer1.LocalReport.DataSources,null);

                this.reportViewer1.SetDisplayMode(DisplayMode.PrintLayout);//para que apareza ya seleccionado la viste de impresion
                this.reportViewer1.RefreshReport();
            }
            catch (Control_Errores)
            {
                Mensajes.MostrarMensaje(Mensajes.G_STR_MENSAJES_GENERAL_ERROR_CARGARDATOSLISTADO());
            }
            catch (Exception ex)
            {
                Control_Errores.Errores_Log("", ex, nameof(PI_Pruebas) + "/" + nameof(Imprimir_Informe));

                Mensajes.MostrarMensaje(Mensajes.G_STR_MENSAJES_GENERAL_ERROR_CARGARDATOSLISTADO());
            }
        }
    }
}
